import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from '../../frame/BaseService';
import { Provide } from '@midwayjs/core';
import { DictData } from '../../entity/system/dictData.entity';
import { InjectEntityModel } from '@midwayjs/typegoose';
type modelType = ReturnModelType<typeof DictData>;

@Provide()
export class DictDataService extends BaseService<modelType> {
  @InjectEntityModel(DictData)
  model: ReturnModelType<modelType>;
}
