import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from '../../frame/BaseService';
import { Provide } from '@midwayjs/core';
import { DictType } from '../../entity/system/dictType.entity';
import { InjectEntityModel } from '@midwayjs/typegoose';
type modelType = ReturnModelType<typeof DictType>;

@Provide()
export class DictTypeService extends BaseService<modelType> {
  @InjectEntityModel(DictType)
  model: ReturnModelType<modelType>;
}
